org.apache.lucene.facet.search

## Class CachedOrdsCountingFacetsAggregator

- java.lang.Object
- - org.apache.lucene.facet.search.IntRollupFacetsAggregator
  - - org.apache.lucene.facet.search.CachedOrdsCountingFacetsAggregator

All Implemented Interfaces:
  FacetsAggregator

    public class CachedOrdsCountingFacetsAggregator
    extends IntRollupFacetsAggregator

A `FacetsAggregator` which updates categories values by counting their occurrences in matching documents. Uses `OrdinalsCache` to obtain the category ordinals of each segment.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`CachedOrdsCountingFacetsAggregator()`

### Method Summary

Methods
`void` `aggregate(FacetsCollector.MatchingDocs matchingDocs, CategoryListParams clp, FacetArrays facetArrays)` Aggregate the facets found in the given matching documents.

### Methods inherited from class org.apache.lucene.facet.search.IntRollupFacetsAggregator

`requiresDocScores, rollupValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedOrdsCountingFacetsAggregator

    public CachedOrdsCountingFacetsAggregator()

### Method Detail

#### aggregate

    public void aggregate(FacetsCollector.MatchingDocs matchingDocs,
                 CategoryListParams clp,
                 FacetArrays facetArrays)
                   throws IOException

Description copied from interface: `FacetsAggregator`
Aggregate the facets found in the given matching documents.

Specified by:
  `aggregate` in interface `FacetsAggregator`
Specified by:
  `aggregate` in class `IntRollupFacetsAggregator`
Throws:
  `IOException`